From fc84cef1779954181ca52edd25b7b6c76c0d1ce0 Mon Sep 17 00:00:00 2001
From: Minoru Akagi <akaginch@gmail.com>
Date: Sun, 7 Apr 2013 23:44:42 +0900
Subject: [PATCH] update qgis path under home directory (homePythonPath and
 Android)

---
 src/app/main.cpp                  | 2 +-
 src/python/qgspythonutilsimpl.cpp | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/app/main.cpp b/src/app/main.cpp
index 228741d..1404852 100644
--- a/src/app/main.cpp
+++ b/src/app/main.cpp
@@ -276,7 +276,7 @@ int main( int argc, char *argv[] )
 #if defined(ANDROID)
   QgsDebugMsg( QString( "Android: All params stripped" ) );// Param %1" ).arg( argv[0] ) );
   //put all QGIS settings in the same place
-  configpath = QDir::homePath() + QString( "/.qgis/" );
+  configpath = QDir::homePath() + QString( "/.qgis2/" );
   QgsDebugMsg( QString( "Android: configpath set to %1" ).arg( configpath ) );
 #elif defined(Q_WS_WIN)
   for ( int i = 1; i < argc; i++ )
diff --git a/src/python/qgspythonutilsimpl.cpp b/src/python/qgspythonutilsimpl.cpp
index 41cc0b7..b897e6e 100644
--- a/src/python/qgspythonutilsimpl.cpp
+++ b/src/python/qgspythonutilsimpl.cpp
@@ -451,9 +451,9 @@ QString QgsPythonUtilsImpl::pluginsPath()
 QString QgsPythonUtilsImpl::homePythonPath()
 {
   QString settingsDir = QgsApplication::qgisSettingsDirPath();
-  if ( QDir::cleanPath( settingsDir ) == QDir::homePath() + "/.qgis" )
+  if ( QDir::cleanPath( settingsDir ) == QDir::homePath() + "/.qgis2" )
   {
-    return "os.path.expanduser(\"~/.qgis/python\")";
+    return "os.path.expanduser(\"~/.qgis2/python\")";
   }
   else
   {
-- 
1.8.0.msysgit.0

